Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.modelmbean
Interface XMBeanConstants

All Superinterfaces:
  ModelMBeanConstants

All Known Implementing Classes:
  JBossXMBean10, XMBean, XMLMetaData

public interface XMBeanConstants
extends ModelMBeanConstants

Constraint definitions for the `XMBean` implementation.

Version:
  $Revision: 1.10 $
Author:
  Juha Lindfors.

Field Summary
`static String` | `DESCRIPTOR` Resource type string identifying a resource object that is part of a descriptor object.
`static String` | `GET_METHOD_ATTRIBUTE`
`static String` | `METADATA_DESCRIPTOR_PREFIX` Descriptor field naming prefix for `XMBean` configuration.
`static String` | `RESOURCE_DESCRIPTOR_PREFIX` Descriptor field naming prefix for `XMBean` configuration.
`static String` | `RESOURCE_REFERENCE` Mandatory descriptor field when `DESCRIPTOR` resource type is used.
`static String` | `RESOURCE_TYPE` Mandatory descriptor field when `DESCRIPTOR` resource type is used.
`static String` | `SAX_PARSER` XML metadata descriptor field name.
`static String` | `SET_METHOD_ATTRIBUTE`
`static String` | `STANDARD_INTERFACE` Resource type string identifying a resource object that implements an interface adhering to the Standard MBean naming conventions.
`static String` | `STANDARD_MBEAN`
`static String` | `XMBEAN_DESCRIPTOR_PREFIX` Descriptor field naming prefix for `XMBean` configuration.
`static String` | `XML_VALIDATION` XML metadata descriptor field name.

Fields inherited from interface org.jboss.mx.modelmbean.ModelMBeanConstants
`ACTION, ACTION_INFO, ALL_DESCRIPTORS, ATTRIBUTE_DESCRIPTOR, ATTRIBUTE_VALUE, CACHE_ALWAYS, CACHE_ALWAYS_LIMIT, CACHE_NEVER, CACHE_NEVER_LIMIT, CACHED_VALUE, CLASS, CONSTRUCTOR_DESCRIPTOR, CURRENCY_TIME_LIMIT, DEFAULT, DELEGATING_PM_OPERATION_DEFAULT_VALUE, DELEGATING_PM_OPERATION_DESCRIPTOR, DELEGATING_PM_SERVICE_DEFAULT_VALUE, DELEGATING_PM_SERVICE_DESCRIPTOR, DESCRIPTOR_TYPE, DISPLAY_NAME, EXPORT, GENERIC_MODELMBEAN_NOTIFICATION, GET_METHOD, HIGH_VISIBILITY, INFO, INTERCEPTORS, IS_IS, IS_READABLE, IS_WRITABLE, LAST_RETURNED_TIME_STAMP, LAST_UPDATED_TIME_STAMP, LAST_UPDATED_TIME_STAMP2, LOG, LOG_FILE, LOW_VISIBILITY, MBEAN_DESCRIPTOR, MBEAN_INFO_INJECTION_TYPE, MBEAN_SERVER_INJECTION_TYPE, MESSAGE_ID, MINIMAL_VISIBILITY, NAME, NORMAL_VISIBILITY, NOTIFICATION_DESCRIPTOR, OBJECT_NAME, OBJECT_NAME_INJECTION_TYPE, OBJECT_REF, OPERATION_DESCRIPTOR, PERSIST_INFO, PERSIST_LOCATION, PERSIST_NAME, PERSIST_PERIOD, PERSIST_POLICIES, PERSIST_POLICY, PERSISTENCE_MANAGER, PP_ALWAYS, PP_NEVER, PP_NO_MORE_OFTEN_THAN, PP_ON_TIMER, PP_ON_UPDATE, PRESENTATION_STRING, PROTOCOL_MAP, RESOURCE_CLASS, ROLE, ROLE_CONSTRUCTOR, ROLE_GETTER, ROLE_OPERATION, ROLE_SETTER, SET_METHOD, SEVERITY, SEVERITY_CRITICAL, SEVERITY_MAJOR, SEVERITY_MINOR, SEVERITY_NON_RECOVERABLE, SEVERITY_NORMAL, SEVERITY_UNKNOWN, SEVERITY_WARNING, TARGET_OBJECT, TARGET_TYPE, VISIBILITY`

Field Detail

### STANDARD_INTERFACE

    public static final String STANDARD_INTERFACE

  Resource type string identifying a resource object that implements an interface adhering to the Standard MBean naming conventions.

  See Also:
    Constant Field Values

### STANDARD_MBEAN

    public static final String STANDARD_MBEAN

See Also:
  Constant Field Values

### DESCRIPTOR

    public static final String DESCRIPTOR

  Resource type string identifying a resource object that is part of a descriptor object.

  See Also:
    Constant Field Values

### XMBEAN_DESCRIPTOR_PREFIX

    public static final String XMBEAN_DESCRIPTOR_PREFIX

  Descriptor field naming prefix for `XMBean` configuration. Descriptor fields matching to this prefix follow the `"xmbean.*"` naming convention in field names.

  See Also:
    Constant Field Values

### METADATA_DESCRIPTOR_PREFIX

    public static final String METADATA_DESCRIPTOR_PREFIX

  Descriptor field naming prefix for `XMBean` configuration. Descriptor fields matching to this prefix follow the `"xmbean.metadata.*"` naming convention in field names.

  See Also:
    Constant Field Values

### RESOURCE_DESCRIPTOR_PREFIX

    public static final String RESOURCE_DESCRIPTOR_PREFIX

  Descriptor field naming prefix for `XMBean` configuration. Descriptor fields matching to this prefix follow the `"xmbean.resource.*"` naming convention in field names.

  See Also:
    Constant Field Values

### RESOURCE_REFERENCE

    public static final String RESOURCE_REFERENCE

  Mandatory descriptor field when `DESCRIPTOR` resource type is used. The value of this field contains a reference to the resource object the Model MBean represents.

  This field matches to the `RESOURCE_DESCRIPTOR_PREFIX` naming pattern.

  See Also:
    `XMBean`, Constant Field Values

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

  Mandatory descriptor field when `DESCRIPTOR` resource type is used. The value of this field contains the actual resource type of the resource object defined by the `RESOURCE_REFERENCE` field.

  This field matches to the `RESOURCE_DESCRIPTOR_PREFIX` naming pattern.

  See Also:
    `XMBean`, Constant Field Values

### SAX_PARSER

    public static final String SAX_PARSER

  XML metadata descriptor field name. This descriptor field matches the `METADATA_DESCRIPTOR_PREFIX` and is therefore passed as a configuration property to all metadata builder implementations.

  This specific field is used in a `DESCRIPTOR` resource type to configure JDOM based metadata builders to override the default JAXP SAX parser settings.

  See Also:
    `XMBean`, Constant Field Values

### XML_VALIDATION

    public static final String XML_VALIDATION

  XML metadata descriptor field name. This descriptor field matches the `METADATA_DESCRIPTOR_PREFIX` and is therefore passed as a configuration property to all metadata builder implementations.

  This specific field can be used to indicate the XML based builder implementations to validate the document instance before creating the metadata.

  See Also:
    `XMBean`, Constant Field Values

### GET_METHOD_ATTRIBUTE

    public static final String GET_METHOD_ATTRIBUTE

See Also:
  Constant Field Values

### SET_METHOD_ATTRIBUTE

    public static final String SET_METHOD_ATTRIBUTE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.